#ifndef ELEMENTMODELEXTENSION_H
#define ELEMENTMODELEXTENSION_H

#include "gmc-common_global.h"

#include <treenodemodelextension.h>

class Element;
class QModelIndex;
class QItemSelectionRange;
class QItemSelection;

class GMC_COMMON_SHARED_EXPORT ElementModelExtension : virtual public TreeNodeModelExtension
{

public:

    ElementModelExtension();
    virtual ~ElementModelExtension();

    Element * toElement( const QModelIndex & /*index*/ ) const;
    Element * toElement( const QItemSelectionRange & /*selectionRange*/ ) const;
    Element * toElement( const QItemSelection & /*selection*/ ) const;

};

#endif // ELEMENTMODELEXTENSION_H
