#ifndef PASSWORDDIALOG_H
#define PASSWORDDIALOG_H

#include "gmc-common_global.h"

#include <QDialog>

namespace Ui
{
class PasswordDialog;
}

class GMC_COMMON_SHARED_EXPORT PasswordDialog : public QDialog
{

    Q_OBJECT

public:

    PasswordDialog(QWidget *parent = 0);
    virtual ~PasswordDialog();

    QString user() const;
    void setUser( const QString & /*user*/ );

    QString password() const;

protected:

    virtual void showEvent( QShowEvent * /*event*/ );

protected slots:

    void checkValid();

private:

    Ui::PasswordDialog *_ui;
};

#endif // PASSWORDDIALOG_H
