#ifndef PLUGINDIALOG_H
#define PLUGINDIALOG_H

#include "gmc-common_global.h"

#include <QDialog>

class PluginContainer;

namespace Ui
{
    class PluginDialog;
}

class GMC_COMMON_SHARED_EXPORT PluginDialog : public QDialog
{
    Q_OBJECT

public:

    explicit PluginDialog( PluginContainer  * /*pluginContainer*/
                         , QWidget * /*parent*/ = 0 );
    ~PluginDialog();

    void loadSettings();
    void saveSettings() const;

public slots:

    void changePath();

protected:

    virtual void showEvent( QShowEvent * /*event*/ );

private:

    Ui::PluginDialog *_ui;
    PluginContainer *_pluginContainer;

};

#endif // PLUGINDIALOG_H
