#ifndef WRAPPERGROUPBOX_H
#define WRAPPERGROUPBOX_H

#include "gmc-common_global.h"

#include <QGroupBox>

class QStackedWidget;
class QBoxLayout;

class GMC_COMMON_SHARED_EXPORT WrapperGroupBox : public QGroupBox
{
    Q_OBJECT

public:

    WrapperGroupBox( QWidget * /*parent*/ = 0 );
    virtual ~WrapperGroupBox();

    QWidget *widget() const;
    void removeWidget();
    void insertWidget( QWidget * /*widget*/ );

protected:

    QStackedWidget *_stackedWiget;
    QBoxLayout *_layout;

};

#endif // WRAPPERGROUPBOX_H
