#ifndef GECOSDIALOG_H
#define GECOSDIALOG_H

#include "gmc-common_global.h"

#include <QDialog>

namespace Ui
{
class GecosDialog;
}

class QValidator;

class GMC_COMMON_SHARED_EXPORT GecosDialog : public QDialog
{
    Q_OBJECT

public:

    GecosDialog( QWidget *parent = 0 );
    virtual ~GecosDialog();

    const QString gecos() const;
    void setGecos( const QString & /*line*/ );
    void clear();

public slots:

    virtual int exec();

private:

    Ui::GecosDialog *_ui;
    QValidator *_validator;

};

#endif // GECOSDIALOG_H
