#ifndef PASSWORDINPUTDIALOG_H
#define PASSWORDINPUTDIALOG_H

#include "gmc-common_global.h"

#include <QDialog>

namespace Ui
{
class PasswordInputDialog;
}

class GMC_COMMON_SHARED_EXPORT PasswordInputDialog : public QDialog
{
    Q_OBJECT

public:

    PasswordInputDialog(QWidget *parent = 0);
    virtual ~PasswordInputDialog();

    QString password() const;

public slots:

    virtual int exec();

protected slots:

    void validate();

private:

    Ui::PasswordInputDialog *_ui;

};

#endif // PASSWORDINPUTDIALOG_H
