#ifndef SINGLEAPPLICATION_H
#define SINGLEAPPLICATION_H

#include "gmc-common_global.h"

#include <QtSolutions/QtSingleApplication>

#include <QMap>
#include <QPair>

class QTranslator;

class GMC_COMMON_SHARED_EXPORT SingleApplication : public QtSingleApplication
{

    Q_OBJECT

public:

    explicit  SingleApplication( const QString & /*id*/
                               , int & /*argc*/
                               , char ** /*argv*/ );
    virtual ~SingleApplication();

    void addTranslations( const QList< QPair< QString, QString > > & /*translations*/ );
    void removeTranslations( const QList< QPair< QString, QString > > & /*translations*/ );

public:

    QMap< QString
        , QPair< QTranslator *, int > > _translations;

};

#endif // SINGLEAPPLICATION_H
